<template>
	<view class="container">
		<view class="contentBox" v-if="!depotMoneyother">
			<!-- <image mode='widthFix' src="https://xiaopay2020.oss-cn-shenzhen.aliyuncs.com/static/weapp/images/xiaopaycard (31).png"></image> -->
			<view class="contentDiv">
				<view class="headview">
					<view class="schoolname">{{PersonalInfo.schoolname}}</view>
					<view class="IconCls">电子校园卡</view>
				</view>
				<view class="HidenText">
					<view class="userName">姓名：<span>张三</span></view>
					<view class="StudentCls" v-if="PersonalInfo.usertype=='1'">班级：高一(63班)</view>
					<view class='TeacherCls' v-else>教职工</view>
				</view>
				<view class="Balance">
					<view class="cardBalanceTx">余额：￥<span>0.00</span></view>
					<view @click="ToWalletTx">余额提现
						<image style="position: relative;width: 13rpx;height: 20rpx;" class='ImgIcon1' mode='widthFix'
							:src="ImgUrl+'images/xiaopaycard (17).png'" alt=""></image>
					</view>
				</view>
			</view>
			<!-- 充值账户 -->
			<view class="Recharge">
				<view class="leftdiv">账户充值</view>
				<view class="rightdiv">
					<span>账户明细 <span class="arrow"></span></span>
				</view>
			</view>
			<!--  -->
			<view class="MoneyBox">
				<view class="depotMoney" @click="depotMoney(item.value,index)"
					v-bind:class="(Money!=''&&MoneyIndex==index)?'choiceClass':''" :data-money="item.value"
					v-for="(item,index) in MoneyList" :key="index">
					<span class="value">
						{{item.value}}
					</span>
					<span style="font-size: 28rpx;font-weight: 600;margin-left: 7rpx;">{{item.lable}}</span>
					<span class="tips" v-show="item.tips">
						{{item.tips}}
					</span>
				</view>
			</view>
			<!--  -->
			<view class="OtherMoney" @click="OtherMoney">
				<view>其他充值金额</view>
				<view>></span></view>
			</view>
			<!-- 支付方式 -->
			<view class="payType" @click="queryBindCardList">
				<view>付款方式</view>
				<view>招商银行(5947) <span class="arrow"></span></view>
			</view>
			<view class="" style="height: 1rpx;background-color: #DFDFDF;"></view>
			<!--  -->
			<view class="switchbankCard" @click="BackToMini('AssignAddCard')">我要换银行卡支付 <span class="arrow"
					style="transform: rotate(45deg);left: 15rpx;top: -8rpx;"></span></view>
			<!-- 充值生活费 -->
			<view class="DepositID" @click="toDeposit(0)" v-bind:style="Money!=''?'':'background: #e6e6e6 !important;'">
				<span>充值生活费</span>
			</view>
		</view>
		<!-- 其他充值金额 -->
		<view class="contentBox" v-if="depotMoneyother">
			<view class="OtherTitle">充值金额</view>
			<view class="inputOtherM">
				<span>￥</span>
				<input @focus="openKeyBoard('number')" v-model="inputOtherM" @input="inputControl"
					placeholder-class="placeholderinputOtherM" type="text" maxlength="6" />
			</view>
			<view class="OtherLine"></view>
			<!-- 充值范围 -->
			<view class="Recharge_">
				<!-- <image mode="widthFix" class="depositImg" src="../../static/img/depositIcon.png"></image> -->
				<span>最大可充值金额：</span>
				<span>￥<span>3.00 ~ 2000.00</span></span>
			</view>
		</view>
		<!-- 短信发送 -->
		<uni-popup ref="popup" :mask-click="false">
			<!-- 手机号验证 -->
			<view class="PhoneConfirmBox MyPhoneCls">
				<view class="closePhoneBox" @click="close()">
					<span>x</span>
				</view>
				<p style='text-align:center;font-size:18px;font-weight:bold;margin-bottom:30px;'>验证开卡手机号</p>
				<view class="PhoneNum">
					<input type="number" disabled placeholder-class="placeholderInput" maxlength="11"
						placeholder="请输入手机号" />
				</view>
				<view class="VerifyCode">
					<input v-model="VerifyCode" placeholder-class="placeholderInput" type="number" maxlength="6"
						placeholder="请输入验证码" />
					<view class="CodeMsg" @click="SendMsg">获取验证码</view>
				</view>
				<button class="doBtnTx" @click="DoNextStep">充值</button>
			</view>
		</uni-popup>
		<!-- 数字键盘 -->
		<keyboard-package ref="number" @onInput="onInput" @onDelete="onDelete" @onConfirm="onConfirm"
			:disableDot="false" />
		<!-- 体现 -->
		<view class="TxWalletBox">

		</view>
		<!-- 体现异常处理 -->
		<view class="RechargeException" v-if="RechargeException">
			<view class="tiptext">您在银行预留的身份信息已过期，请更新身份信息后再继续交易</view>
			<view class="weui-form">
				<view class="weui-form__control-area">
					<view class="weui-cells__group weui-cells__group_form">
						<view
							class="weui-cell weui-cell_active weui-cell_access weui-cell_select weui-cell_select-after">
							<view class="weui-cell__hd"><label class="weui-label">所属职业</label></view>
							<view class="weui-cell__bd" id="showPicker"
								style="color: #A1A4A8;text-align: center;overflow: hidden;text-overflow: ellipsis; white-space: nowrap;padding-right: 30px;">
								请选择职业类型</view>
						</view>
						<view
							class="weui-cell weui-cell_active weui-cell_access weui-cell_select weui-cell_select-after"
							id="showCityPicker3">
							<view class="weui-cell__hd"><label class="weui-label" id="city3-label">家庭地址</label></view>
							<view class="weui-cell__bd" id="homeAddress"
								style="color: #A1A4A8;text-align: center;overflow: hidden;text-overflow: ellipsis; white-space: nowrap; padding-right: 30px;">
								请选择家庭地址</view>
						</view>
						<view class="weui-cell weui-cell_active weui-cell_access ">
							<view class="weui-cell__hd"><label class="weui-label">所在街道</label></view>
							<view class="weui-cell__bd weui-flex">
								<input class="weui-input" maxlength="30" style="text-align: right;padding-right: 17px;"
									type="text" oninput="StreetInformation(this)" placeholder="请输入具体街道和门牌号">
							</view>
						</view>
						<view class="weui-cell__hd">
							<label class="weui-label">身份证照片</label>
							<view class="idCardPhoto1" @click="idCardUpload('1')">
								<image :src="tempFiles1" mode="aspectFill">
								</image>
								<view class="positionCam">
									【点击可上传】
								</view>
							</view>
							<view class="idCardPhoto2" @click="idCardUpload('2')">
								<image :src="tempFiles2" mode="aspectFill">
								</image>
								<view class="positionCam">
									【点击可上传】
								</view>
							</view>
						</view>
						<view class="bottomDetail" @click="UpdateRechargeException">
							立即更新</view>
					</view>
				</view>
			</view>
		</view>
		<!-- 充值异常弹框 -->
		<view class="js_dialog" id="iosDialog2" style="display: none;">
			<view class="weui-mask"></view>
			<view class="weui-dialog">
				<view class="weui-dialog__bd">弹窗内容，告知当前状态、信息和解决方法，描述文字尽量控制在三行内</view>
				<view class="weui-dialog__ft">
					<a href="javascript:" class="weui-dialog__btn weui-dialog__btn_primary">知道了</a>
				</view>
			</view>
		</view>
	</view>
</template>

<script>
	import keyboardPackage from "@/components/keyboard-package/keyboard-package.vue"
	import cityData from "@/common/js/city.js"
	var gHost = "https://" + window.location.host;
	if (window.location.protocol != "https:") {
		gHost = "https://fpdev.xiaopay.net";
	}
	let times = 0;
	var limitClick = false; //禁止重复点击
	var sessionID = '',
		userID = '';
	var payCardNumber = ''; //一类卡号
	var orderSerialNo = ''; //提现结果查询 指令号
	var businessNo = '',
		otpOrderNo = '',
		mobileNo = '';
	var msCount = 60; //定时器
	var MyTimer = null;
	var fromType = 0; //0转账  1提现
	var opeType = 0; //0充值  1提现   手机号验证
	var bankInfo = {
		acctNoArray: '',
		idNo: '',
		schoolId: '',
		trueName: '',
		userId: '',
		sessionid: '',
		wechattype: 1
	}
	// 20210422 充值账户异常资料补充参数
	var acctErrorUpdateParms = {
		backSideImgId: '', //反面身份证图片Id
		frontSideImgId: '', //正面身份证图片Id
		homeAddress: '', //家庭住址
		occupation: '', //职业代码
		StreetInformation: '', //街道
		businessNo: ''
	}
	// /wefile/wefileId
	// 获取上传影像的Token接口
	let wefileId = {}
	// bizCode: "000000"
	// bizMsg: "获取上传影像token成功"
	// businessNo: "OB89d5ed802cRA202104226389071452"
	// expiredTime: 1619072725503
	// project: "BOBS-OBP"
	// uuid: "8238f256d8f54209a0e9a2a3b25e7393"
	// wefileToken: "QplB0tfvjtzOU+tWgKI2+L+4B9HE8kbpJVREUTwXZCsVqXcUwyDxHAbTU3bW8ziGb4hKAaWiLQXAyZUbYRB9hBKhSt1VVvoFl5qOCR4GT+X1KpcQgBlhKYi/NYPkmsjeZO/qn9YXGDp/1sGmxazv6T05y8EbU9HXreRhF/jh8G1HtUCwprFoaulGFShvV819EUBdHifDF5IjpPekLtgzIm8C/kYYX8xproKvxV4maRji5p1Krkyv/U1K3C18/TyjHwPpC4KlOEqA6QpFujR8yZ42qvLZqfqgUkRFZ4WC27/nN3+do9VNpNbK4MAMSLTRaxdGmKe2wStKbZ5OQ+1WFA=="
	// wefileUrl: "https://bfiles-stg.pingan.com.cn/brcp/secfile/sec_wefiles_udmp_upload.do"
	export default {
		components: {
			keyboardPackage
		},
		name: "assignDeposit",
		data() {
			return {
				inputOtherM: '',
				RechargeException: false,
				depotMoneyother: false, //其他充值
				Money: '', //选择金额
				MoneyIndex: '',
				RechargeMax: '2000', //最大充值限制
				ReflectMoney: '', //提现金额
				VerifyCode: '', //验证码
				cardBalanceTx: '0', //余额
				CodeMsg: "获取验证码",
				type: 'number',
				PersonalInfo: {
					schoolname: "微微学测试",
					name: "李智书",
					usertype: "1"
				},
				ImgUrl: this.$ImgUrl,
				MoneyList: Array(6).fill(1).map((v, index) => {
					return {
						lable: '元',
						value: 50 * (index + 1),
						tips: index == 1 ? "推荐充值" : null
					}
				}),
				numberList: [],
				tempFiles1: '../../static/img/idCardBg1.png', //上传身份证临时选择文件
				tempFiles2: '../../static/img/idCardBg0.png'
			}
		},
		created: function() {

		},
		mounted: function() {
			let this_ = this
			this.$nextTick(function() {
				// $(".RechargeException").siblings().hide()
				// $(".RechargeException").show()

				// 家庭住址
				$('#homeAddress').on('click', function() {
					weui.picker(cityData, {
						defaultValue: [110000, 110000, 110101],
						depth: 3,
						onChange: function(result) {
							console.log(result);
						},
						onConfirm: function(result) {
							console.log(result);
							console.log(result);
							acctErrorUpdateParms.homeAddress = result[0].label + '/' +
								result[1].label + '/' +
								result[2].label
							$("#homeAddress")[0].innerText = result[0].label + '/' +
								result[1].label + '/' +
								result[2].label
							$("#homeAddress").css("color", "#000");
						},
						title: '家庭地址'
					});
				});
				// 选择职业
				$('#showPicker').on('click', function() {
					// 获取职业信息
					this_.getOccupationList().then(OccupationList => {
						let data = OccupationList.map(v => {
							return {
								label: v.comment,
								value: v.code
							}
						})
						weui.picker(data, {
							onChange: function(result) {
								console.log(result);
							},
							onConfirm: function(result) {
								console.log(result[0].value);
								acctErrorUpdateParms.occupation = result[0].value
								$("#showPicker")[0].innerText = result[0].label
								$("#showPicker").css("color", "#000");
							},
							title: '职业信息选择'
						});
					}).catch(err => {
						weui.topTips("获取职业信息列表失败");
					})
				});

				// 初始化

				userID = this_.getQueryParams('userID');
				sessionID = this_.getQueryParams('seesionID');
				fromType = this_.getQueryParams('fromType');
				let windowHeight = window.innerHeight;
				if (this_.getQueryParams('tabbar')) { //usermain打开加返回按钮
					$('#ReturnBox').css('display', 'block');
					$('.bottom2').css('margin-top', (windowHeight - 370 < 0 ? 30 : windowHeight -
						370) + 'px');
					$('.bottom1').css('margin-top', (windowHeight - 570 < 0 ? 30 : windowHeight -
						570) + 'px');
				} else {
					$('.bottom2').css('margin-top', (windowHeight - 320 < 0 ? 30 : windowHeight -
						320) + 'px');
					$('.bottom1').css('margin-top', (windowHeight - 590 < 0 ? 30 : windowHeight -
						590) + 'px');
				}
				bankInfo.sessionid = sessionID;
				this_.QueryUserInfo();
				$('#AssginBox').css('display', 'block');
				if (fromType == 0) {
					// $('.TitleHeader').html('电子账户充值');
				} else {
					this_.ToWalletTx();
				}
				setTimeout(function() {
					this_.getWefileId()
				}, 500)
			})
		},
		methods: {
			// 身份证上传
			async idCardUpload(type) {
				let this_ = this
				uni.chooseImage({
					count: 6, //默认9
					sizeType: ['original', 'compressed'],
					sourceType: ['album', 'camera'], //从相册选择
					success: function(res) {
						this_['tempFiles' + type] = res.tempFilePaths[0]
						this_.uploaderInput(res.tempFiles, type)
					}
				});
			},
			// 验证码弹出框开启
			open() {
				this.$refs.popup.open('top')
			},
			// 验证码弹出框关闭
			close() {
				this.$refs.popup.close()
			},
			//键盘谈起
			openKeyBoard(key) {
				this.type = key;
				this.$refs[key].open();
			},
			onInput(val) {
				this.numberList.push(val);
				this.inputOtherM = this.inputOtherM + val
				console.log(val);
			},
			onDelete() {
				this.numberList.pop()
				this.inputOtherM = this.numberList.join("")
			},
			onConfirm() {
				// 充值提现输入验证码确认框
				this.open()
			},
			//选择输入其他金额
			OtherMoney() {
				this.depotMoneyother = true
			},
			// 快捷选择金额
			async depotMoney(value, MoneyIndex) {
				console.log(value)
				this.Money = parseInt(value)
				this.MoneyIndex = MoneyIndex
			},
			//定时器
			IntervalFun() {
				if (msCount == 1) {
					window.clearInterval(MyTimer); //停止计时器
					$('.CodeMsg').css('color', '#01BC73');
					this.CodeMsg = "获取验证码"
					msCount = 60;
				} else {
					msCount--;
					$('.CodeMsg').css('color', 'gray');
					this.CodeMsg = (msCount + "s后获取")
				}
			},
			//按钮操作
			HideHTML(dom, type) {
				if (type == 0) {
					$('.' + dom).css('display', 'none');
				} else {
					$('.' + dom).css('display', 'block');
				}
			},
			//切换到提现
			ToWalletTx() {
				$('#DepositBox').css('display', 'none');
				$('#TxWalletBox').css('display', 'block');
				// $('.TitleHeader').html('电子账户提现');
				$('.doBtnTx').html('提现');
				opeType = 1;
			},
			//全部提现
			TxAllFun() {
				this.ReflectMoney = this.cardBalanceTx * 1
				// $('.TxClsTx').val($('.cardBalanceTx')[0].textContent * 1);
			},
			//隐藏验证码弹框
			hidePhoneBox() {
				$('.PhoneConfirmBox').css('display', 'none');
				// $('.VerifyCode').val('');
				this.VerifyCode = ''
				orderSerialNo = '';
				businessNo = '';
				otpOrderNo = '';
			},
			//返回小程序 跳转指定页面
			BackToMini(page) {
				if (page == 'UserMain' || page == 'personalCenter') {
					wx.miniProgram.switchTab({
						url: `/pages/${page}/main`,
					});
				} else {
					wx.miniProgram.redirectTo({
						url: `/pages/${page}/main`,
					});
				}
			},
			// 输入限制
			inputControl(obj, val) {
				console.log(obj, val);
				obj.value = obj.target.value
				obj.value = obj.value.replace(/[^\d.]/g, ""); //清除"数字"和"."以外的字符
				obj.value = obj.value.replace(/^\./g, ""); //验证第一个字符是数字而不是.
				obj.value = obj.value.replace(/\.{2,}/g, "."); //只保留第一个. 清除多余的.
				obj.value = obj.value.replace(".", "$#$").replace(/\./g, "").replace("$#$", "."); //只允许输入一个小数点
				obj.value = obj.value.replace(/^(\-)*(\d+)\.(\d\d).*$/, '$1$2.$3'); //只能输入两个小数
				obj.value = obj.value * 1 > 2000 ? 2000 : obj.value;
				this.Money = obj.value + '';
				this.ReflectMoney = obj.value + '';
				if (obj.value == '' || obj.value * 1 < 3) {
					$('.DepositID').addClass('DisaBledBtn');
				} else {
					$('.DepositID').removeClass('DisaBledBtn');
				}
			},
			//input键盘弹起不会弹
			ReturnToTop() {
				document.scrollingElement.scrollTo(0, this.scrollTop);
			},
			//提现结果查询
			transferResults() {
				let this_ = this;
				times++;
				let loading = weui.loading('请稍后');
				let params = {
					accountNo: bankInfo.acctNoArray,
					businessNo: businessNo,
					orderSerialNo: orderSerialNo, //提现指令号
					schoolId: bankInfo.schoolId,
					userId: userID,
					sessionid: sessionID,
					wechattype: 1,
				}
				$.ajax({
					url: gHost + '/bank-wechat/transfer/query',
					type: "POST",
					contentType: "application/x-www-form-urlencoded",
					data: params,
					success: function(res7) {
						if (res7.code == "10000") {
							if (res7.results.status == 0 || res7.results.status ==
								1) { //status 状态 0：失败;1：成功;2：处理中 返回处理中，需要调用“提现(提现)结果查询”接口查结果
								loading.hide();
								if (res7.results.status == 0) {
									weui.topTips(res7.results.bizMsg)
								} else {
									weui.toast('提现成功！', 1500);
								}
								setTimeout(() => {
									location.reload();
								}, 2000)
							} else {
								if (times == 3) {
									loading.hide();
									weui.topTips('当前提现人数过多，请至我的账户中查看余额');
									setTimeout(() => {
										this_.BackToMini('UserMain');
									}, 1500)
								} else {
									setTimeout(res => {
										this_.transferResults();
									}, 2000)
								}
							}
						} else {
							loading.hide();
							weui.topTips(res7.message)
						}
					},
					error: function(err) {
						loading.hide();
					},
				});
			},
			//充值结果查询
			depositResults() {
				let this_ = this;
				times++;
				let loading = weui.loading('请稍后');
				let params = {
					businessNo: businessNo,
					schoolId: bankInfo.schoolId,
					userId: userID,
					sessionid: sessionID,
					wechattype: 1,
				}
				$.ajax({
					url: gHost + '/bank-wechat/recharge/query',
					type: "POST",
					contentType: "application/x-www-form-urlencoded",
					data: params,
					success: function(res8) {
						if (res8.code == "10000") {
							if (res8.results.orderStatus == 3 || res8.results.orderStatus ==
								4) { //orderStatus 0:初始值,1:已提交,2:未知,3:失败,4:成功,5:成功未打款
								loading.hide();
								if (res8.results.orderStatus == 3) {
									weui.topTips(res8.results.errMsg)
								} else {
									weui.toast('充值成功！', 1500);
								}
								setTimeout(() => {
									location.reload();
								}, 2000)
							} else {
								if (times == 3) {
									loading.hide();
									weui.topTips('当前充值人数过多，请至我的账户中查看余额');
									setTimeout(() => {
										this_.BackToMini('UserMain');
									}, 1500)
								} else {
									setTimeout(res => {
										this_.depositResults();
									}, 2000)
								}
							}
						} else {
							loading.hide();
							weui.topTips(res8.message);
						}
					},
					error: function(err) {
						loading.hide();
					},
				});
			},
			//充值/提现方法
			DoNextStep() {
				let this_ = this;
				console.log('请填写验证码');
				if (this_.VerifyCode == '') {
					weui.topTips('请填写验证码')
					return
				};
				if (limitClick) {
					return
				} else {
					limitClick = true;
					setTimeout(() => {
						limitClick = false;
					}, 3000);
				}
				let loading = weui.loading('请稍后');
				times = 0;
				if (opeType == 0) { //充值
					let params = {
						businessNo: businessNo,
						otpOrderNo: otpOrderNo,
						fromAccNo: payCardNumber, //付款账户
						otpValue: this.VerifyCode, //验证码
						transAmt: this.inputOtherM * 1, //交易金额
						schoolId: bankInfo.schoolId,
						userId: userID,
						sessionid: sessionID,
						wechattype: 1,
					}
					$.ajax({
						url: gHost + '/bank-wechat/recharge',
						type: "POST",
						contentType: "application/x-www-form-urlencoded",
						data: params,
						success: function(res5) {
							if (res5.code == "10000") {
								if (res5.errCode && res5.errCode == 'TI009') {
									loading.hide();
									weui.topTips(res5.results.errMsg);
									setTimeout(function() {
										$(".RechargeException").siblings().hide()
										$(".RechargeException").show()
									})
									return
								};
								if (res5.results.orderStatus == 3 || res5.results.orderStatus ==
									4) { //orderStatus 0:初始值,1:已提交,2:未知,3:失败,4:成功,5:成功未打款
									if (res5.results.orderStatus == 3) {
										loading.hide();
										weui.topTips(res5.results.errMsg);
									} else {
										loading.hide();
										weui.toast('充值成功！', 1500);
									}
									setTimeout(() => {
										location.reload();
									}, 2000)
								} else {
									setTimeout(() => {
										// loading.hide();
										this_.depositResults();
									}, 2000)
								}
							} else {
								loading.hide();
								weui.topTips(res5.message)
							}
						},
						error: function(err) {
							loading.hide();
						},
					});
				} else if (opeType == 1) { //提现
					let params = {
						accountName: bankInfo.trueName,
						amount: $('.TxClsTx')[0].value * 1,
						businessNo: businessNo,
						fromAccountName: bankInfo.trueName,
						fromAccountNo: bankInfo.acctNoArray,
						otpOrderNo: otpOrderNo,
						otpValue: $('.VerifyCode')[0].value, //验证码
						toAccountNo: payCardNumber,
						schoolId: bankInfo.schoolId,
						userId: userID,
						sessionid: sessionID,
						wechattype: 1,
					}
					$.ajax({
						url: gHost + '/bank-wechat/transfer/withdrawal',
						type: "POST",
						contentType: "application/x-www-form-urlencoded",
						data: params,
						success: function(res6) {
							if (res6.code == "10000") {
								orderSerialNo = res6.results.orderSerialNo;
								if (res6.results.status == 1 || res6.results.status ==
									0) { //状态 0：失败;1：成功;2：处理中 返回处理中，需要调用“提现(转账)结果查询”接口查结果
									if (res6.results.status == 0) {
										loading.hide();
										weui.topTips(res6.results.bizMsg)
									} else {
										loading.hide();
										weui.toast('提现成功！', 1500);
									}
									setTimeout(() => {
										location.reload();
									}, 2000)
								} else {
									setTimeout(() => {
										// loading.hide();
										transferResults();
									}, 2000)
								}
							} else {
								loading.hide();
								weui.topTips(res6.message)
							}
						},
						error: function(err) {
							loading.hide();
						},
					});
				}
			},
			//充值/提现判断
			toDeposit(type) { //type 0充值  1提现
				let this_ = this;
				businessNo = '';
				otpOrderNo = '';
				opeType = type;
				if (type == 0) {
					if (this.Money * 1 < 3) {
						weui.topTips('充值金额必须大于3元');
						return
					}
					if (this.Money * 1 > this.RechargeMax * 1) {
						weui.topTips(`充值金额不能大于${this.RechargeMax*1}元`);
						return
					}
				} else {
					if ($('.TxClsTx')[0].value * 1 < 0.01) {
						weui.topTips('提现金额须大于等于0.01元');
						return
					}
					if ($('.TxClsTx')[0].value * 1 > this.RechargeMax * 1) {
						weui.topTips(
							`提现金额不可大于账户余额`);
						return
					}
				}
				this.open()
			},
			//发送验证码
			SendMsg() {
				let this_ = this;
				if (this_.CodeMsg != '获取验证码') return false;
				let loading = weui.loading('发送中');
				if (opeType == 0) { //充值
					let params = {
						fromAccNo: payCardNumber, //付款账户,
						transAmt: this.Money * 1, //交易金额
						schoolId: bankInfo.schoolId,
						userId: userID,
						sessionid: sessionID,
						wechattype: 1,
					}
					$.ajax({
						url: gHost + '/bank-wechat/otp/send/recharge',
						type: "POST",
						contentType: "application/x-www-form-urlencoded",
						data: params,
						success: function(res5) {
							loading.hide();
							if (res5.code == "10000") {
								otpOrderNo = res5.results.otpOrderNo;
								businessNo = res5.results.businessNo;
								weui.toast('验证码已发送，请注意查收！', 1000);
								this_.IntervalFun();
								MyTimer = window.setInterval(IntervalFun, 1000);
							} else {
								weui.topTips(res5.message)
							}
						},
						error: function(err) {
							loading.hide();
						},
					});
				} else if (opeType == 1) { //提现
					let params = {
						accountNo: bankInfo.acctNoArray, //银行卡号
						mobileNo: mobileNo, //手机号
						'transferAccountBizKeyVO.accountName': bankInfo.trueName, //收款方户名
						'transferAccountBizKeyVO.amount': $('.TxClsTx')[0].value * 1, //提现金额
						'transferAccountBizKeyVO.fromAccountName': bankInfo.trueName, //转出户名
						'transferAccountBizKeyVO.fromAccountNo': bankInfo.acctNoArray, //转出卡号（互联网账户卡号）
						'transferAccountBizKeyVO.toAccountNo': payCardNumber, //收款方卡号（绑定卡卡号）
						schoolId: bankInfo.schoolId,
						userId: userID,
						sessionid: sessionID,
						wechattype: 1,
					}
					$.ajax({
						url: gHost + '/bank-wechat/otp/send/transfer/account',
						type: "POST",
						contentType: "application/x-www-form-urlencoded",
						data: params,
						success: function(res5) {
							loading.hide();
							if (res5.code == "10000") {
								otpOrderNo = res5.results.otpOrderNo;
								businessNo = res5.results.businessNo;
								weui.toast('验证码已发送，请注意查收！', 1000);
								this_.IntervalFun();
								MyTimer = window.setInterval(this_.IntervalFun, 1000);
							} else {
								weui.topTips(res5.message)
							}
						},
						error: function(err) {
							loading.hide(res5.message);
						},
					});
				}
			},
			//换绑卡
			ChangeCardPay(bankName, bindCard) {
				let this_ = this;
				if (bindCard == payCardNumber) {
					return
				}
				var loading = weui.loading('请稍后');
				$.ajax({
					url: gHost + '/bank-wechat/user/bank/change/bind',
					type: "POST",
					contentType: "application/x-www-form-urlencoded",
					data: {
						schoolId: bankInfo.schoolId,
						userId: userID,
						sessionid: sessionID,
						wechattype: 1,
						accountName: bankName,
						accountNo: bindCard,
					},
					success: function(res5) {
						loading.hide();
						if (res5.code == "10000") {
							this_.HideHTML('showBindCardList', 0);
							this_.queryUserBankInfo();
						} else {
							weui.topTips(res5.message)
						}
					},
					error: function(err) {
						loading.hide();
					},
				});
			},
			//查询一类卡绑定列表
			queryBindCardList() {
				let this_ = this;
				let loading = weui.loading('请稍后');
				$.ajax({
					url: gHost + '/bank-wechat/query/account',
					type: "POST",
					contentType: "application/x-www-form-urlencoded",
					data: {
						schoolId: bankInfo.schoolId,
						userId: userID,
						sessionid: sessionID,
						wechattype: 1
					},
					success: function(res4) {
						loading.hide();
						if (res4.code == "10000") {
							var divList = '';
							var choiceIndex = 0;
							for (let i = 0; i < res4.results.accountList[0].bindcardList.length; i++) {
								divList += `<div onclick=ChangeCardPay('${res4.results.accountList[0].bindcardList[i].bankName}','${res4.results.accountList[0].bindcardList[i].bindCardNo}')>
			                    <p>${res4.results.accountList[0].bindcardList[i].bankName}</p>
			                    <p>${res4.results.accountList[0].bindcardList[i].bindCardNo.substr(0,4)+" **** **** "+res4.results.accountList[0].bindcardList[i].bindCardNo.substr(-4)}</p>
			                    <img class='myImg${i} BankListImg' src='img/choiceBank.png'>
			                    </div>`
								if (res4.results.accountList[0].bindcardList[i].bindCardNo == payCardNumber) {
									choiceIndex = i;
								}
							}
							$('.hideListCover').html(divList);
							$(`.myImg${choiceIndex}`).css('display', 'block');
							$('.showBindCardList').css('display', 'block');
						} else {
							weui.topTips(res4.message)
						}
					},
					error: function(err) {
						loading.hide();
					},
				});
			},
			//获取银行余额
			queryBankInfo() {
				let this_ = this;
				let loading = weui.loading('请稍后');
				$.ajax({
					url: gHost + '/bank-wechat/query/balance',
					type: "POST",
					timeout: 8000,
					contentType: "application/x-www-form-urlencoded",
					data: bankInfo,
					success: function(res3) {
						loading.hide();
						if (res3.code == "10000") {
							if (res3.results.acctInfoList == null) {
								weui.topTips("账户信息为空，余额查询失败");
							} else {
								this_.cardBalanceTx = ((res3.results.acctInfoList[0].hqBalanceDTOList[0]
									.balance *
									1).toFixed(2));
								$('.TxClsTx').attr('placeholder',
									`可提现金额${(res3.results.acctInfoList[0].hqBalanceDTOList[0].balance*1).toFixed(2)}元`
								)
								this_.RechargeMax = ((2000 - ((res3.results.acctInfoList[0]
									.hqBalanceDTOList[0]
									.balance * 1).toFixed(2) * 1)).toFixed(2));
							}
						} else {
							weui.topTips(res3.message)
						}
					},
					error: function(err) {
						loading.hide();
					},
					complete: function(XMLHttpRequest, status) {
						loading.hide();
						if (status == 'timeout') {
							weui.topTips("请求超时，余额查询失败");
						}
					}
				})
			},
			//获取用户已填写银行信息
			queryUserBankInfo() {
				let this_ = this;
				let loading = weui.loading('请稍后');
				$.ajax({
					url: gHost + '/bank-wechat/user/bank/get',
					type: "POST",
					contentType: "application/x-www-form-urlencoded",
					data: {
						schoolId: bankInfo.schoolId,
						userId: userID,
						sessionid: sessionID,
						wechattype: 1
					},
					success: function(res2) {
						if (res2.code == "10000") {
							bankInfo.acctNoArray = res2.results.accountNo;
							bankInfo.idNo = res2.results.idNo;
							bankInfo.trueName = res2.results.trueName;
							payCardNumber = res2.results.bindCardNo;
							$('.bankNameClass').html(
								`${res2.results.bindCardName}(${res2.results.bindCardNo.substr(-4)})`);
							$('.bankNameClass1').html(res2.results.bindCardName + '(储蓄卡)');
							$('.payCardEndNo').html('尾号' + res2.results.bindCardNo.substr(-4));
							$('.myPhoneTx').html(res2.results.mobileNo);
							mobileNo = res2.results.mobileNo;
							this_.queryBankInfo();
						} else {
							weui.topTips(res2.message)
						}
					},
					error: function(err) {
						loading.hide();
					},
				});
			},
			//查询用户信息
			QueryUserInfo() {
				let this_ = this;
				let loading = weui.loading('请稍后');
				$.ajax({
					url: gHost + '/wechat/svweapp/QueryPersonalInfo',
					type: "POST",
					contentType: "application/x-www-form-urlencoded",
					data: {
						userid: userID,
						sessionid: sessionID,
						wechattype: 1
					},
					success: function(res1) {
						loading.hide();
						if (res1.code == "10000") {
							bankInfo.schoolId = res1.results.schoolid;
							bankInfo.userId = res1.results.id;
							$('.userNameTx').html(res1.results.name);
							$('.schoolNameTx').html(res1.results.schoolname);
							$('.ClsNameTx').html(res1.results.gradename + res1.results.classname);
							if (res1.results.usertype == 1) {
								$('.StudentCls').css('display', 'block');
								$('.TeacherCls').css('display', 'none');
							} else {
								$('.StudentCls').css('display', 'none');
								$('.TeacherCls').css('display', 'block');
							}
							this_.queryUserBankInfo();
						} else {
							weui.topTips(res1.message);
							setTimeout(() => {
								this_.BackToMini('UserMain');
							}, 1500)
						}
					},
					error: function(err) {
						loading.hide();
					},
				});
			},
			// 充值账户异常资料补充
			// recharge/acctErrorUpdateResource
			acctErrorUpdateResource() {
				acctErrorUpdateParms.businessNo = wefileId.businessNo; //业务流水号
				acctErrorUpdateParms.schoolId = bankInfo.schoolId;
				acctErrorUpdateParms.userId = userID;
				acctErrorUpdateParms.homeAddress = acctErrorUpdateParms.homeAddress + acctErrorUpdateParms
					.StreetInformation
				let {
					backSideImgId,
					frontSideImgId,
					homeAddress,
					occupation
				} = acctErrorUpdateParms
				acctErrorUpdateParms.sessionid = sessionID
				acctErrorUpdateParms.wechattype = 1
				if (!occupation) {
					weui.topTips("请选择职业信息");
					return
				}
				if (!homeAddress) {
					weui.topTips("请选择家庭住址");
					return
				}

				if (!backSideImgId) {
					weui.topTips("请上传反面身份证图片");
					return
				}
				if (!frontSideImgId) {
					weui.topTips("请上传正面身份证图片");
					return
				}
				let loading = weui.loading('信息更新中,请稍后');
				return new Promise((resolve, reject) => {
					$.ajax({
						url: gHost + '/bank-wechat/recharge/acctErrorUpdateResource',
						type: "POST",
						contentType: "application/x-www-form-urlencoded",
						data: acctErrorUpdateParms,
						timeout: 8000, //超时时间设置，单位毫秒
						success: function(res) {
							loading.hide();
							if (res.code == '000000') {
								weui.topTips("信息更新成功", {
									duration: 3000, //3秒后消失
									className: 'weui-toptips_success', //自定义类名
									callback: function() {
										//回调函数
										console.log('close')
										window.location.reload()
									}
								});
								resolve(res)
							} else {
								weui.topTips("信息更新失败," + res.message);
								loading.hide();
								reject(res.message)
							}
						},
						error: function(err) {
							loading.hide();
							reject(err)
						},
					})
				})
			},
			//点击上传文件
			uploaderInput(e, CredType) {
				let fileInfo = e[0];
				let fileTypeList = fileInfo.name.split(".");
				let fileType = fileTypeList[fileTypeList.length - 1];
				if (!(fileType == "jpg" || fileType == "png")) {
					weui.topTips("不符合的文件格式,请重新选择");
					return;
				}
				let formData = new FormData();
				formData.append("project", wefileId.project)
				formData.append("file", fileInfo)
				formData.append("fileName", fileInfo.name)
				formData.append("expiredTime", wefileId.expiredTime)
				formData.append("uuid", wefileId.uuid)
				formData.append("wefileToken", wefileId.wefileToken)
				formData.append("wefileUrl", wefileId.wefileUrl)
				formData.append("sessionid", sessionID)
				formData.append("wechattype", 1)
				this.UploadIDCardInfo(wefileId.wefileUrl, formData, CredType)
			},
			// 【获取上传影像token接口】中已经返回了请求地址
			UploadIDCardInfo(url, formData, type) {
				let loading = weui.loading('请稍后,正在上传');
				return new Promise((resolve, reject) => {
					return new Promise((resolve, reject) => {
						$.ajax({
							url: gHost +
								`/bank-wechat-server/wefile/upload?wechattype=1&sessionid=${sessionID}`,
							type: "post",
							data: formData,
							processData: false,
							contentType: false,
							success: function(res) {
								console.log(res);
								if (res.code == '10000') {
									if (type == 1) {
										acctErrorUpdateParms.frontSideImgId = res.results;
									} else {
										acctErrorUpdateParms.backSideImgId = res.results;
									}
									weui.topTips("上传成功", {
										duration: 3000, //3秒后消失
										className: 'weui-toptips_success', //自定义类名
										callback: function() {}
									});
									loading.hide();
									resolve(res)
								} else {
									weui.topTips(res.message);
									loading.hide();
									reject(res.message)
								}
							},
							error: function(err) {
								loading.hide();
								weui.topTips("上传失败！请检查");
								reject(err)
							},
						})
					})
				})
			},
			getWefileId(fileType = 'jpg/png/jpeg') {
				let loading = weui.loading('请稍后');
				return new Promise((resolve, reject) => {
					$.ajax({
						url: gHost + '/bank-wechat/wefile/wefileId',
						type: "post",
						data: {
							Authorization: this.getQueryParams('seesionID'),
							businessNo: businessNo,
							fileType: fileType, //jpg/png/doc/docx/txt/pdf/ppt/xls/xlsx/pptx/jpeg
							schoolId: bankInfo.schoolId,
							userId: userID,
							sessionid: sessionID,
							wechattype: 1
						},
						success: function(res) {
							loading.hide();
							if (res.code == "10000") {
								wefileId = res.results
								resolve(res.results)
							} else {
								reject(res.message)
							}
						},
						error: function(err) {
							loading.hide();
							reject(err)
						},
					})
				})
			},
			//街道信息
			StreetInformation(e) {
				let value = $(e)[0].value;
				console.log(value);
				acctErrorUpdateParms.StreetInformation = value
			},
			//立即更新
			UpdateRechargeException() {
				this.acctErrorUpdateResource()
			},
			// query/getOccupationList职业信息接口
			getOccupationList() {
				let loading = weui.loading('请稍后');
				return new Promise((resolve, reject) => {
					$.ajax({
						url: gHost + '/bank-wechat/query/getOccupationList',
						type: "post",
						data: {
							sessionid: sessionID,
							wechattype: 1
						},
						headers: {
							'Authorization': getQueryParams('seesionID'),
						},
						success: function(res) {
							loading.hide();
							if (res.code == "10000") {
								resolve(res.results)
							} else {
								reject(res.message)
							}
						},
						error: function(err) {
							loading.hide();
							reject(err)
						},
					})
				})
			},
			//获取参数
			getQueryParams(params) {
				var query = window.location.search.substring(1);
				var vars = query.split("&");
				for (var i = 0; i < vars.length; i++) {
					var pair = vars[i].split("=");
					if (pair[0] == params) {
						return pair[1];
					}
				}
				return (false);
			}
		}
	}
</script>

<style scoped lang="scss">
	html,
	body,
	page {
		width: 750rpx;
		background: linear-gradient(180deg, #FFFFFF 0%, #FAFAFA 100%);
	}

	.contentBox {
		width: 670rpx;
		height: 376rpx;
		margin: 0 auto;
	}

	.contentDiv {
		height: 100%;
		// margin-top: 36rpx;
		border-radius: 15rpx;
		background-image: url('https://xiaopay2020.oss-cn-shenzhen.aliyuncs.com/static/weapp/images/xiaopaycard (31).png');
		background-repeat: no-repeat;
		background-size: 100% 100%;

		position: relative;
		top: 36rpx;
	}

	.HidenText {
		margin-top: 147rpx;
	}

	.HidenText,
	.Balance {
		padding-left: 46rpx;
		padding-right: 40rpx;
		display: flex;
		justify-content: space-between;

		font-size: 28rpx;
		color: #FFFFFF;
	}

	.Balance {
		margin-top: 20rpx;
	}

	.Recharge {
		display: flex;
		justify-content: space-between;
		margin-top: 70rpx;
	}

	.Recharge .leftdiv {
		width: 192rpx;
		height: 67rpx;
		font-size: 48rpx;
		font-family: PingFangSC-Semibold, PingFang SC;
		font-weight: 600;
		color: #010101;
		line-height: 67rpx;
	}

	.Recharge .rightdiv {
		height: 67rpx;
		font-size: 28rpx;
		font-family: PingFangSC-Regular, PingFang SC;
		font-weight: 400;
		color: #999999;
		line-height: 67rpx;
	}

	.Recharge .rightdiv image {
		position: relative;
		width: 20rpx;
		height: 20rpx;
	}

	.headview {
		display: flex;
		justify-content: space-between;
		padding-left: 40rpx;
		padding-right: 40rpx;

		padding-top: 36rpx;
	}

	.headview .schoolname {
		width: 252rpx;
		height: 50rpx;
		font-size: 36rpx;
		font-family: PingFangSC-Medium, PingFang SC;
		font-weight: 500;
		color: #FFFFFF;
		line-height: 50rpx;
	}

	.headview .IconCls {
		width: 170rpx;
		height: 48rpx;
		background: #20946D;
		border-radius: 25rpx;

		font-size: 24rpx;
		font-weight: 400;
		color: #FFFFFF;
		line-height: 48rpx;
		text-align: center;
	}

	.MoneyBox {
		display: flex;
		justify-content: space-between;
		flex-wrap: wrap;
		height: auto;
		color: #333333;
	}

	.choiceClass {
		background: #01BC73 !important;
		color: #fff;
	}

	.MoneyBox view {
		width: 206rpx;
		height: 133rpx;
		background: #F5F5F5;
		border-radius: 8rpx;
		margin-top: 26rpx;
		text-align: center;

		position: relative;
	}

	.depotMoney .value {
		font-size: 48rpx;
		font-family: PingFangSC-Semibold, PingFang SC;
		font-weight: 600;
		line-height: 133rpx;
		text-align: center;
	}

	.depotMoney .tips {
		// width: 79rpx;
		height: 33rpx;
		background: linear-gradient(180deg, #FA6400 0%, #FD9D00 100%);
		border-radius: 4rpx;
		font-size: 18rpx;
		font-weight: 500;
		padding: 4rpx;
		text-align: center;
		float: right;
		position: absolute;
		right: 0rpx;
		line-height: 33rpx;
	}

	.OtherMoney {
		display: flex;
		justify-content: center;
		color: #999999;
		font-size: 28rpx;
		font-family: PingFangSC-Regular, PingFang SC;
		font-weight: 400;
		color: #999999;
		line-height: 40rpx;

		margin-top: 26rpx;
	}

	.OtherMoney view:nth-child(2) {
		width: 30rpx;
		height: 30rpx;
		background: #F0F0F0;
		border-radius: 50%;
		text-align: center;
		line-height: 30rpx;
		margin-top: 7rpx;
		margin-left: 5rpx;
	}

	.payType {
		height: 98rpx;
		line-height: 98rpx;
		display: flex;
		justify-content: space-between;
	}

	.payType view:nth-child(1) {
		width: 120rpx;
		height: 42rpx;
		font-size: 30rpx;
		font-family: PingFangSC-Regular, PingFang SC;
		font-weight: 400;
		color: #666666;
		line-height: 98rpx;
	}

	.payType view::nth-child(2) {
		width: 225rpx;
		height: 45rpx;
		font-size: 32rpx;
		font-family: PingFangSC-Medium, PingFang SC;
		font-weight: 500;
		color: #333333;
		line-height: 45rpx;
	}

	.switchbankCard {
		width: 224px;
		height: 40rpx;
		font-size: 28rpx;
		font-family: PingFangSC-Regular, PingFang SC;
		font-weight: 400;
		color: #999999;
		line-height: 40rpx;
		margin-top: 12rpx;
	}

	.arrow {
		transform: rotate(-45deg);
		top: -1rpx;
		border: solid #999999;
		border-width: 0 1rpx 1rpx 0;
		display: inline-block;
		padding: 8rpx;
		position: relative;

	}

	.DepositID {
		width: 630rpx;
		height: 92rpx;
		background: #04BA73;
		border-radius: 8rpx;
		margin: 0 auto;
		text-align: center;

		bottom: 30rpx;
		position: fixed;
		left: 0;
		right: 0;
	}

	.DepositID span {
		height: 50rpx;
		font-size: 36rpx;
		font-family: PingFangSC-Medium, PingFang SC;
		font-weight: 500;
		color: #FFFFFF;
		line-height: 92rpx;
	}

	.MyPhoneCls {
		position: fixed;
		width: 562rpx;
		height: 497rpx;
		left: 0;
		right: 0;
		top: 460rpx;
		margin: 0 auto;
		font-size: 30rpx;
		background: #fff;
		border-radius: 8rpx;
	}

	.closePhoneBox {
		width: 35rpx;
		height: 35rpx;
		background: #7E7E7E;
		position: relative;
		left: 522rpx;
		top: -52rpx;
		line-height: 30rpx;
		text-align: center;
		color: #BEBEBE;
		border-radius: 100%;
		border: 2px solid #BEBEBE;
	}

	.doBtnTx {
		width: 506rpx;
		height: 92rpx;
		background: #04BA73;
		border-radius: 8rpx;
		color: #FFFFFF;

		position: absolute;
		left: 0;
		right: 0;
		margin: 0 auto;
		bottom: 38rpx;
	}

	.MyPhoneCls input {
		border: none;
		outline: none;
		height: 80rpx;
		line-height: 80rpx;
		padding-left: 50rpx;
	}

	.PhoneNum,
	.VerifyCode {
		width: 506rpx;
		height: 80rpx;
		line-height: 60rpx;
		background: #F7F6FB;
		margin: 0 auto;
		margin-top: 20rpx;
	}

	.VerifyCode {
		display: flex;
		justify-content: space-between;
	}

	.VerifyCode input {
		width: 200rpx;
	}

	.CodeMsg {
		color: #01BC73;
		background: #F7F6FB;
		font-size: 32rpx;
		font-weight: 600;
		line-height: 80rpx;
		letter-spacing: 3rpx;
	}

	.placeholderInput {
		color: #AAAAAA;
		font-size: 32rpx;
		font-weight: 500;
		letter-spacing: 3rpx;
		// padding-left: 50rpx;
		height: 80rpx;
	}

	.OtherTitle {
		height: 67rpx;
		font-size: 48rpx;
		font-family: PingFangSC-Semibold, PingFang SC;
		font-weight: 600;
		color: #010101;
		line-height: 67rpx;

		padding-top: 60rpx;
	}

	.inputOtherM {
		display: flex;
		height: 100rpx;
		margin-top: 40rpx;
	}

	.inputOtherM input {
		border: none;
		outline: none;
		height: 50rpx;
		padding-left: 16rpx;
		font-size: 72rpx;
		font-weight: 600;
	}

	.inputOtherM span:nth-child(1) {
		width: 72rpx;
		font-size: 80rpx;
		font-family: PingFangSC-Semibold, PingFang SC;
		font-weight: 600;
		color: #010101;
		line-height: 100rpx;
	}

	.OtherLine {
		width: 631rpx;
		height: 1rpx;
		background-color: #CCCCCC;
		margin-top: 19rpx;
	}

	.depositImg {
		width: 14rpx;
		vertical-align: middle;
		margin-right: 8rpx;
	}

	.Recharge_ {
		height: 40rpx;
		font-size: 28rpx;
		font-family: PingFangSC-Regular, PingFang SC;
		font-weight: 400;
		color: #333333;
		line-height: 40rpx;
		margin-top: 40rpx;
	}

	.Recharge_ span:nth-child(2) {
		font-size: 28rpx;
		font-family: PingFangSC-Semibold, PingFang SC;
		font-weight: 600;
		color: #FA6400;
	}

	.placeholderinputOtherM {
		height: 50rpx;
		font-family: PingFangSC-Semibold, PingFang SC;
		font-weight: 600;
		color: #010101;
		line-height: 50rpx;
	}

	// 异常处理
	.RechargeException {
		padding-top: 20rpx;
	}

	.weui-label {
		// width: 118rpx;
		height: 42rpx;
		font-size: 30rpx;
		font-family: PingFangSC-Medium, PingFang SC;
		font-weight: 500;
		color: #3D3D3D;
		line-height: 42rpx;
		font-weight: bold;
		margin-left: 30rpx;
	}

	.tiptext {
		height: 1.06rem;
		font-size: 0.75rem;
		font-family: PingFangSC-Regular, PingFang SC;
		font-weight: 400;
		color: #03BC73;
		line-height: 1.06rem;
		margin-bottom: 0.625rem;
		text-align: center;
	}

	.bottomDetail {
		width: 628rpx;
		height: 88rpx;
		color: white;
		// position: fixed;
		// left: 0;
		// right: 0;
		margin: 0 auto;
		background-color: #03BC73;
		text-align: center;
		line-height: 88rpx;


		margin-top: 84rpx;
	}


	.RechargeException input::placeholder {
		color: #A1A4A8;
	}

	.RechargeException .weui-cell {
		height: 4rem;
		padding: 0 !important;
	}

	.idCardPhoto1,
	.idCardPhoto2 {
		width: 388rpx;
		height: 224rpx;
		margin: 0 auto;
		margin-top: 20rpx;
	}

	.idCardPhoto1 image,
	.idCardPhoto2 image {
		width: 100%;
		height: 100%;
		position: relative;
	}

	.weui-toptips_success {
		background-color: #03BC73 !important
	}

	.positionCam {
		height: 32rpx;
		font-size: 22rpx;
		font-family: PingFang-SC-Medium, PingFang-SC;
		font-weight: 500;
		color: #6D7278;
		line-height: 32rpx;
		text-align: center;
		position: relative;
		top: -29px;
	}
</style>
